summaryrefslogtreecommitdiff
path: root/poky/scripts/oe-time-dd-test.sh
diff options
context:
space:
mode:
authorJason M. Bills <jason.m.bills@linux.intel.com>2021-07-30 00:16:52 +0300
committerJason M. Bills <jason.m.bills@linux.intel.com>2021-07-30 00:16:52 +0300
commitbb6a14e2f317abf60677c6ad8de9c33d5760bf36 (patch)
tree00457d3677e86437cec25fd7dab6c4513a53b1a4 /poky/scripts/oe-time-dd-test.sh
parentdefdca82c107f46e980c84bffb1b2c1263522fa0 (diff)
parentcf6fd27dbd8e2d1b507f8c3752b85801b2c6ef57 (diff)
downloadopenbmc-bb6a14e2f317abf60677c6ad8de9c33d5760bf36.tar.xz
Merge tag '0.63' of ssh://git-amr-1.devtools.intel.com:29418/openbmc-openbmc into update
Diffstat (limited to 'poky/scripts/oe-time-dd-test.sh')
-rwxr-xr-x[-rw-r--r--]poky/scripts/oe-time-dd-test.sh17
1 files changed, 15 insertions, 2 deletions
diff --git a/poky/scripts/oe-time-dd-test.sh b/poky/scripts/oe-time-dd-test.sh
index 970a86dff..ccdd55e66 100644..100755
--- a/poky/scripts/oe-time-dd-test.sh
+++ b/poky/scripts/oe-time-dd-test.sh
@@ -13,11 +13,24 @@ usage() {
echo "Usage: $0 <count>"
}
+TIMEOUT=15
+
if [ $# -ne 1 ]; then
usage
exit 1
fi
uptime
-/usr/bin/time -f "%e" dd if=/dev/zero of=foo bs=1024 count=$1 conv=fsync
-top -b -n 1 | grep -v "0 0 0" | grep -E ' [RSD] ' | cut -c 46-47 | sort | uniq -c
+timeout ${TIMEOUT} dd if=/dev/zero of=oe-time-dd-test.dat bs=1024 count=$1 conv=fsync
+if [ $? -ne 0 ]; then
+ echo "Timeout used: ${TIMEOUT}"
+ echo "start: top output"
+ top -c -b -n1 -w 512
+ echo "end: top output"
+ echo "start: iostat"
+ iostat -y -z -x 5 1
+ echo "end: iostat"
+ echo "start: cooker log"
+ tail -30 tmp*/log/cooker/*/console-latest.log
+ echo "end: cooker log"
+fi